 //鼠标经过
function aa()
{
document.a1.src="/images/pp1.gif"
}
function bb()
{
document.a1.src="/images/pp1_on.gif"
}

function cc()
{
document.b1.src="/images/pp2.gif"
}
function dd()
{
document.b1.src="/images/pp2_on.gif"
}
 //将用户输入异步提交到服务器
function PkVoteAction(flag,pid)
{
//alert("23423");
    //获取用户输入
    var flag=flag;   
    var xmlhttp;
    try
    {
        xmlhttp=new XMLHttpRequest();
    }catch(e)
    {
        xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
    }
    //创建请求结果处理程序
    xmlhttp.onreadystatechange=function()
    {        
				if (4==xmlhttp.readyState)
        {
            if (200==xmlhttp.status)
            {
               var requestinfo=xmlhttp.responseText;
 								
               var info=requestinfo;
							 //alert(info);
               info=info.split("_");
                if (info.length>1)
                {
                   if(info[4]=="y") 
                   {
                        document.getElementById(flag+"Num1").innerHTML=info[1];
                        document.getElementById("pc_zheng").innerHTML=info[2]+'%';
												document.getElementById("pc_zhengimg").style.height=info[2];
												document.getElementById("pc_fan").innerHTML=info[3]+'%';
												document.getElementById("pc_fanimg").style.height=info[3];
                        alert('操作成功!');
                   }
                   else
                   {                        
                        alert('您已经发表过了！');
                   }
                }
            }
            else
            {
                alert(xmlhttp.responseText);
            }
        }
    }
	
    //打开连接，true表示异步提交
    xmlhttp.open("post", "/dingcai.asp?id="+pid+"&flag="+flag, true);
    //当方法为post时需要如下设置http头
    //xmlhttp.setRequestHeader('Content-type','application/x-www-form-urlencoded');
    //发送数据
    xmlhttp.send();
}
